Subject: Re: Limiting disk usage

From: Jakub Narębski <[email-masked]>
Date: Tue, 29 Oct 2013 15:45:39 +0100

On 2013-10-29 14:50, Piotr Krukowiecki wrote:

> Yes, I put a lot of code into the repository. I know it is wrong from git POV ;)
> That's why I wrote about splitting repository into multiple smaller
> repositories, but AFAIK git is not very good at managing that too...

Lot of code isn't problem, see Linux kernel or GCC, or LibreOffice.org

> (Background: we're thinking about migrating svn repository into git.
> Currently there is one svn repository containing many related
> directories. They are branched/merged/tagged together. Often work is
> done on all/many of them, but there are some use cases where we need
> only some of them)

If they are independent projects, they should get independent repositories;
you can stitch them back together using git-submodule (or git-subtree).
reposurgeon can hel you with that.

-- 
Jakub Narębski